リッチテキストエディタ(GcRichTextEditor)コントロールは、ツールバーの表示および表示項目を設定することができます。
ツールバー表示設定
toolbarプロパティを利用して、ツールバーの表示状態を切り替えることができます。デフォルト値はtrueで、ツールバーが表示されることを意味します。
また、toolbarプロパティに、GC.InputMan.GcRichTextEditorToolbarItemの値を割り当てることで、任意のツールバーを設定することができます。
ツールバー項目一覧
InputManJSのリッチテキストエディタ(GcRichTextEditor)コントロールは以下のツールバー項目を提供します。
分類
値
説明
ビルトイン
Align
AlignLeft、AlignCenter、AlignRight、AlignJustifyを含むテキストの配置
AlignCenter
中央揃え
AlignJustify
両端揃え
AlignLeft
左揃え
AlignNone
テキストの配置をデフォルトに戻す機能
AlignRight
右揃え
BlockQuote
引用文
BackColor
背景色
Blocks
ブロック要素
Bold
太字
Copy
コピー
Cut
切り取り
FontFamily
フォント
FontSize
フォントサイズ
ForeColor
テキストの色
H1
見出し1
H2
見出し2
H3
見出し3
HorizontalRule
水平線
Indent
インデント
Italic
斜体
LineHeight
行の高さ
NewDocument
新しいドキュメント
Outdent
インデント減らす
Paste
貼り付け
PasteText
テキスト貼り付け
Print
印刷
Redo
やり直し
Remove
削除
RemoveFormat
書式クリア
SelectAll
すべて選択
Strikethrough
取り消し線
Styles
Headings, Inline, Blocks, Alignを含むスタイル
Subscript
下付き文字
Superscript
上付き文字
Underline
下線
Undo
取り消し
SeperateLine
水平線
文字数のカウント
WordCount
保存
Save
保存
Cancel
キャンセル
オートセーブ
RestoreDraft
プレビュー
Preview
検索と置換
SearchReplace
コード
Code
フルスクリーン
FullScreen
画像
Image
リンク
Link
OpenLink
リンクを開く
UnLink
リンク削除
メディア
Media
テンプレート
Template
Unicode特殊文字
CharMap
絵文字
Emoticons
改ページ
PageBreak
書字方向
RightToLeft
右から左へ
LeftToRight
左から右へ
リスト
BulList
箇条書き
NumList
段落番号付きの箇条書き
テーブル
TableAll
テーブル全体
Table
テーブル
TableCellBackgroundColor
テーブルの背景色
TableCopyCol
列コピー
TableCopyRow
行コピー
TableCutCol
列の切り取り
TableCutRow
行の切り取り
TableDelete
テーブル削除
TableDeleteCol
列削除
TableDeleteRow
行削除
TableInsertColAfter
指定列の右側に新しい列を挿入
TableInsertColBefore
指定列の左側に新しい列を挿入
TableInsertRowAfter
指定行の下に新しい行を挿入
TableInsertRowBefore
選択行の前に新しい行を挿入
TableMergeCells
セル結合
TablePasteColAfter
選択列の後に列を貼り付ける
TablePasteColBefore
選択列の前に列を貼り付ける
TablePasteRowAfter
選択行の後に行を貼り付ける
TablePasteRowBefore
選択行の前に行を貼り付ける
TableSplitCells
セル分割
ツールバーモードの設定
toolbarModeプロパティを利用して、ツールバーにオーバーフロー項目が存在する場合の表示形式を設定することができます。
toolbarMode 説明
Floating 「…」ボタンが押下される時に、オーバーフロー項目はフローティング形式で表示される
Sliding 「…」ボタンが押下される時に、オーバーフロー項目は固定位置で表示される
Scrolling ツールバー項目はスクロール形式で表示される
Wrap ツールバーに表示しきれない項目を折り返し形式で表示される
以下の例は、ツールバーモードを設定するサンプルです。
import "@mescius/inputman.richtexteditor/CSS/gc.inputman.richtexteditor.css";
import "./styles.css";
import { InputMan } from "@mescius/inputman.richtexteditor";
import "@mescius/inputman.richtexteditor/JS/plugins/all";
InputMan.appearanceStyle = InputMan.AppearanceStyle.Modern;
const gcRichTextEditor = new InputMan.GcRichTextEditor(
document.getElementById("gcRichTextEditor"),
{
watermarkText: "ここに入力してください...",
plugins: ["all"],
toolbar: [
InputMan.GcRichTextEditorToolbarItem.Save,
InputMan.GcRichTextEditorToolbarItem.Cancel,
InputMan.GcRichTextEditorToolbarItem.WordCount,
InputMan.GcRichTextEditorToolbarItem.SelectAll,
InputMan.GcRichTextEditorToolbarItem.RestoreDraft,
InputMan.GcRichTextEditorToolbarItem.Align,
InputMan.GcRichTextEditorToolbarItem.AlignCenter,
InputMan.GcRichTextEditorToolbarItem.AlignJustify,
InputMan.GcRichTextEditorToolbarItem.AlignLeft,
InputMan.GcRichTextEditorToolbarItem.AlignNone,
InputMan.GcRichTextEditorToolbarItem.AlignRight,
InputMan.GcRichTextEditorToolbarItem.NewDocument,
InputMan.GcRichTextEditorToolbarItem.PageBreak,
InputMan.GcRichTextEditorToolbarItem.Preview,
InputMan.GcRichTextEditorToolbarItem.Print,
InputMan.GcRichTextEditorToolbarItem.Redo,
InputMan.GcRichTextEditorToolbarItem.Undo,
InputMan.GcRichTextEditorToolbarItem.Blocks,
InputMan.GcRichTextEditorToolbarItem.SearchReplace,
InputMan.GcRichTextEditorToolbarItem.BulList,
InputMan.GcRichTextEditorToolbarItem.NumList,
InputMan.GcRichTextEditorToolbarItem.Styles,
InputMan.GcRichTextEditorToolbarItem.BackColor,
InputMan.GcRichTextEditorToolbarItem.ForeColor,
InputMan.GcRichTextEditorToolbarItem.FontFamily,
InputMan.GcRichTextEditorToolbarItem.FontSize,
InputMan.GcRichTextEditorToolbarItem.LineHeight,
InputMan.GcRichTextEditorToolbarItem.Emoticons,
InputMan.GcRichTextEditorToolbarItem.CharMap,
InputMan.GcRichTextEditorToolbarItem.Remove,
InputMan.GcRichTextEditorToolbarItem.Copy,
InputMan.GcRichTextEditorToolbarItem.Cut,
InputMan.GcRichTextEditorToolbarItem.Paste,
InputMan.GcRichTextEditorToolbarItem.PasteText,
InputMan.GcRichTextEditorToolbarItem.BlockQuote,
InputMan.GcRichTextEditorToolbarItem.Bold,
InputMan.GcRichTextEditorToolbarItem.Italic,
InputMan.GcRichTextEditorToolbarItem.Strikethrough,
InputMan.GcRichTextEditorToolbarItem.Subscript,
InputMan.GcRichTextEditorToolbarItem.Underline,
InputMan.GcRichTextEditorToolbarItem.HTMLCode,
InputMan.GcRichTextEditorToolbarItem.H1,
InputMan.GcRichTextEditorToolbarItem.H2,
InputMan.GcRichTextEditorToolbarItem.H3,
InputMan.GcRichTextEditorToolbarItem.H4,
InputMan.GcRichTextEditorToolbarItem.H5,
InputMan.GcRichTextEditorToolbarItem.H6,
InputMan.GcRichTextEditorToolbarItem.RemoveFormat,
InputMan.GcRichTextEditorToolbarItem.FullScreen,
InputMan.GcRichTextEditorToolbarItem.HorizontalRule,
InputMan.GcRichTextEditorToolbarItem.Image,
InputMan.GcRichTextEditorToolbarItem.Link,
InputMan.GcRichTextEditorToolbarItem.OpenLink,
InputMan.GcRichTextEditorToolbarItem.UnLink,
InputMan.GcRichTextEditorToolbarItem.Media,
InputMan.GcRichTextEditorToolbarItem.Indent,
InputMan.GcRichTextEditorToolbarItem.Outdent,
InputMan.GcRichTextEditorToolbarItem.LeftToRight,
InputMan.GcRichTextEditorToolbarItem.RightToLeft,
InputMan.GcRichTextEditorToolbarItem.Template,
InputMan.GcRichTextEditorToolbarItem.TableAll,
],
fontFamilyList: [
"Serif",
"Sans-serif",
"Monospace",
"Cursive",
"Arial",
"Times New Roman",
],
toolbarMode: InputMan.GcRichTextEditorToolbarMode.Wrap,
}
);
<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<meta http-equiv="X-UA-Compatible" content="ie=edge">
<title>リッチテキストエディタコントロール - ツールバー - 概要と基本的な使い方</title>
<!-- SystemJS -->
<script src="node_modules/systemjs/dist/system.src.js"></script>
<script src="systemjs.config.js"></script>
<script>
window.onload = function() {
System.import('./src/app');
}
</script>
</head>
<body>
<textarea id="gcRichTextEditor"></textarea>
</body>
</html>
body {
height: 751px!important;
box-sizing: content-box !important;
}
System.config({
transpiler: 'plugin-babel',
babelOptions: {
es2015: true
},
meta: {
'*.css': { loader: 'css' }
},
paths: {
// paths serve as alias
'npm:': 'node_modules/'
},
// map tells the System loader where to look for things
map: {
'@mescius/inputman': 'npm:@mescius/inputman/index.js',
'@mescius/inputman/CSS': 'npm:@mescius/inputman/CSS',
'@mescius/inputman.richtexteditor': 'npm:@mescius/inputman.richtexteditor/index.js',
"@mescius/inputman.richtexteditor/CSS": "npm:@mescius/inputman.richtexteditor/CSS",
'@mescius/inputman.richtexteditor/JS/plugins/advlist': 'npm:@mescius/inputman.richtexteditor/JS/plugins/advlist/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/all': 'npm:@mescius/inputman.richtexteditor/JS/plugins/all/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/autosave': 'npm:@mescius/inputman.richtexteditor/JS/plugins/autosave/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/charmap': 'npm:@mescius/inputman.richtexteditor/JS/plugins/charmap/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/directionality': 'npm:@mescius/inputman.richtexteditor/JS/plugins/directionality/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/emoticons': 'npm:@mescius/inputman.richtexteditor/JS/plugins/emoticons/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/fullscreen': 'npm:@mescius/inputman.richtexteditor/JS/plugins/fullscreen/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/htmlcode': 'npm:@mescius/inputman.richtexteditor/JS/plugins/htmlcode/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/image': 'npm:@mescius/inputman.richtexteditor/JS/plugins/image/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/link': 'npm:@mescius/inputman.richtexteditor/JS/plugins/link/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/lists': 'npm:@mescius/inputman.richtexteditor/JS/plugins/lists/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/media': 'npm:@mescius/inputman.richtexteditor/JS/plugins/media/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/pagebreak': 'npm:@mescius/inputman.richtexteditor/JS/plugins/pagebreak/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/preview': 'npm:@mescius/inputman.richtexteditor/JS/plugins/preview/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/save': 'npm:@mescius/inputman.richtexteditor/JS/plugins/save/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/searchreplace': 'npm:@mescius/inputman.richtexteditor/JS/plugins/searchreplace/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/table': 'npm:@mescius/inputman.richtexteditor/JS/plugins/table/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/template': 'npm:@mescius/inputman.richtexteditor/JS/plugins/template/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/wordcount': 'npm:@mescius/inputman.richtexteditor/JS/plugins/wordcount/plugin.js',
'@mescius/inputman.comment': 'npm:@mescius/inputman.comment/index.js',
'@mescius/inputman.comment/CSS': 'npm:@mescius/inputman.comment/CSS',
'@mescius/wijmo': 'npm:@mescius/wijmo/index.js',
'@mescius/wijmo.styles': 'npm:@mescius/wijmo.styles',
'@mescius/wijmo.cultures': 'npm:@mescius/wijmo.cultures',
'@mescius/wijmo.input': 'npm:@mescius/wijmo.input/index.js',
'@mescius/wijmo.grid': 'npm:@mescius/wijmo.grid/index.js',
'@mescius/wijmo.nav': 'npm:@mescius/wijmo.nav/index.js',
'@mescius/spread-sheets': 'npm:@mescius/spread-sheets/index.js',
'@mescius/spread-sheets-resources-ja': 'npm:@mescius/spread-sheets-resources-ja/index.js',
'@mescius/spread-sheets/styles': 'npm:@mescius/spread-sheets/styles',
'css': 'npm:systemjs-plugin-css/css.js',
'plugin-babel': 'npm:systemjs-plugin-babel/plugin-babel.js',
'systemjs-babel-build': 'npm:systemjs-plugin-babel/systemjs-babel-browser.js'
},
// packages tells the System loader how to load when no filename and/or no extension
packages: {
src: {
defaultExtension: 'js'
},
"node_modules": {
defaultExtension: 'js'
},
}
});

リッチテキストエディタ(GcRichTextEditor)コントロールは、ツールバーの表示および表示項目を設定することができます。
ツールバー表示設定
toolbarプロパティを利用して、ツールバーの表示状態を切り替えることができます。デフォルト値はtrueで、ツールバーが表示されることを意味します。
また、toolbarプロパティに、GC.InputMan.GcRichTextEditorToolbarItemの値を割り当てることで、任意のツールバーを設定することができます。
ツールバー項目一覧
InputManJSのリッチテキストエディタ(GcRichTextEditor)コントロールは以下のツールバー項目を提供します。
分類
値
説明
ビルトイン
Align
AlignLeft、AlignCenter、AlignRight、AlignJustifyを含むテキストの配置
AlignCenter
中央揃え
AlignJustify
両端揃え
AlignLeft
左揃え
AlignNone
テキストの配置をデフォルトに戻す機能
AlignRight
右揃え
BlockQuote
引用文
BackColor
背景色
Blocks
ブロック要素
Bold
太字
Copy
コピー
Cut
切り取り
FontFamily
フォント
FontSize
フォントサイズ
ForeColor
テキストの色
H1
見出し1
H2
見出し2
H3
見出し3
HorizontalRule
水平線
Indent
インデント
Italic
斜体
LineHeight
行の高さ
NewDocument
新しいドキュメント
Outdent
インデント減らす
Paste
貼り付け
PasteText
テキスト貼り付け
Print
印刷
Redo
やり直し
Remove
削除
RemoveFormat
書式クリア
SelectAll
すべて選択
Strikethrough
取り消し線
Styles
Headings, Inline, Blocks, Alignを含むスタイル
Subscript
下付き文字
Superscript
上付き文字
Underline
下線
Undo
取り消し
SeperateLine
水平線
文字数のカウント
WordCount
保存
Save
保存
Cancel
キャンセル
オートセーブ
RestoreDraft
プレビュー
Preview
検索と置換
SearchReplace
コード
Code
フルスクリーン
FullScreen
画像
Image
リンク
Link
OpenLink
リンクを開く
UnLink
リンク削除
メディア
Media
テンプレート
Template
Unicode特殊文字
CharMap
絵文字
Emoticons
改ページ
PageBreak
書字方向
RightToLeft
右から左へ
LeftToRight
左から右へ
リスト
BulList
箇条書き
NumList
段落番号付きの箇条書き
テーブル
TableAll
テーブル全体
Table
テーブル
TableCellBackgroundColor
テーブルの背景色
TableCopyCol
列コピー
TableCopyRow
行コピー
TableCutCol
列の切り取り
TableCutRow
行の切り取り
TableDelete
テーブル削除
TableDeleteCol
列削除
TableDeleteRow
行削除
TableInsertColAfter
指定列の右側に新しい列を挿入
TableInsertColBefore
指定列の左側に新しい列を挿入
TableInsertRowAfter
指定行の下に新しい行を挿入
TableInsertRowBefore
選択行の前に新しい行を挿入
TableMergeCells
セル結合
TablePasteColAfter
選択列の後に列を貼り付ける
TablePasteColBefore
選択列の前に列を貼り付ける
TablePasteRowAfter
選択行の後に行を貼り付ける
TablePasteRowBefore
選択行の前に行を貼り付ける
TableSplitCells
セル分割
ツールバーモードの設定
toolbarModeプロパティを利用して、ツールバーにオーバーフロー項目が存在する場合の表示形式を設定することができます。
toolbarMode 説明
Floating 「…」ボタンが押下される時に、オーバーフロー項目はフローティング形式で表示される
Sliding 「…」ボタンが押下される時に、オーバーフロー項目は固定位置で表示される
Scrolling ツールバー項目はスクロール形式で表示される
Wrap ツールバーに表示しきれない項目を折り返し形式で表示される
以下の例は、ツールバーモードを設定するサンプルです。
import { bootstrapApplication } from '@angular/platform-browser';
import { BrowserModule } from '@angular/platform-browser';
import { FormsModule } from '@angular/forms';
import { InputManModule } from "@mescius/inputman.richtexteditor.angular";
import '@mescius/inputman.richtexteditor/CSS/gc.inputman.richtexteditor.css';
import { Component, OnInit, ViewChild, enableProdMode } from '@angular/core';
import './styles.css';
import GC from '@mescius/inputman.richtexteditor';
import * as GCCommon from "@mescius/inputman";
import { GcRichTextEditorComponent } from '@mescius/inputman.richtexteditor.angular';
import "@mescius/inputman.richtexteditor/JS/plugins/all";
@Component({
selector: 'app-component',
templateUrl: './src/app.component.html',
imports: [InputManModule, BrowserModule, FormsModule],
standalone: true
})
export class AppComponent implements OnInit {
public watermarkText = 'ここに入力してください...';
public plugins = [GC.InputMan.GcRichTextEditorPluginItem.All];
public toolbar = [
GC.InputMan.GcRichTextEditorToolbarItem.Save,
GC.InputMan.GcRichTextEditorToolbarItem.Cancel,
GC.InputMan.GcRichTextEditorToolbarItem.WordCount,
GC.InputMan.GcRichTextEditorToolbarItem.SelectAll,
GC.InputMan.GcRichTextEditorToolbarItem.RestoreDraft,
GC.InputMan.GcRichTextEditorToolbarItem.Align,
GC.InputMan.GcRichTextEditorToolbarItem.AlignCenter,
GC.InputMan.GcRichTextEditorToolbarItem.AlignJustify,
GC.InputMan.GcRichTextEditorToolbarItem.AlignLeft,
GC.InputMan.GcRichTextEditorToolbarItem.AlignNone,
GC.InputMan.GcRichTextEditorToolbarItem.AlignRight,
GC.InputMan.GcRichTextEditorToolbarItem.NewDocument,
GC.InputMan.GcRichTextEditorToolbarItem.PageBreak,
GC.InputMan.GcRichTextEditorToolbarItem.Preview,
GC.InputMan.GcRichTextEditorToolbarItem.Print,
GC.InputMan.GcRichTextEditorToolbarItem.Redo,
GC.InputMan.GcRichTextEditorToolbarItem.Undo,
GC.InputMan.GcRichTextEditorToolbarItem.Blocks,
GC.InputMan.GcRichTextEditorToolbarItem.SearchReplace,
GC.InputMan.GcRichTextEditorToolbarItem.BulList,
GC.InputMan.GcRichTextEditorToolbarItem.NumList,
GC.InputMan.GcRichTextEditorToolbarItem.Styles,
GC.InputMan.GcRichTextEditorToolbarItem.BackColor,
GC.InputMan.GcRichTextEditorToolbarItem.ForeColor,
GC.InputMan.GcRichTextEditorToolbarItem.FontFamily,
GC.InputMan.GcRichTextEditorToolbarItem.FontSize,
GC.InputMan.GcRichTextEditorToolbarItem.LineHeight,
GC.InputMan.GcRichTextEditorToolbarItem.Emoticons,
GC.InputMan.GcRichTextEditorToolbarItem.CharMap,
GC.InputMan.GcRichTextEditorToolbarItem.Remove,
GC.InputMan.GcRichTextEditorToolbarItem.Copy,
GC.InputMan.GcRichTextEditorToolbarItem.Cut,
GC.InputMan.GcRichTextEditorToolbarItem.Paste,
GC.InputMan.GcRichTextEditorToolbarItem.PasteText,
GC.InputMan.GcRichTextEditorToolbarItem.BlockQuote,
GC.InputMan.GcRichTextEditorToolbarItem.Bold,
GC.InputMan.GcRichTextEditorToolbarItem.Italic,
GC.InputMan.GcRichTextEditorToolbarItem.Strikethrough,
GC.InputMan.GcRichTextEditorToolbarItem.Subscript,
GC.InputMan.GcRichTextEditorToolbarItem.Underline,
GC.InputMan.GcRichTextEditorToolbarItem.HTMLCode,
GC.InputMan.GcRichTextEditorToolbarItem.H1,
GC.InputMan.GcRichTextEditorToolbarItem.H2,
GC.InputMan.GcRichTextEditorToolbarItem.H3,
GC.InputMan.GcRichTextEditorToolbarItem.H4,
GC.InputMan.GcRichTextEditorToolbarItem.H5,
GC.InputMan.GcRichTextEditorToolbarItem.H6,
GC.InputMan.GcRichTextEditorToolbarItem.RemoveFormat,
GC.InputMan.GcRichTextEditorToolbarItem.FullScreen,
GC.InputMan.GcRichTextEditorToolbarItem.HorizontalRule,
GC.InputMan.GcRichTextEditorToolbarItem.Image,
GC.InputMan.GcRichTextEditorToolbarItem.Link,
GC.InputMan.GcRichTextEditorToolbarItem.OpenLink,
GC.InputMan.GcRichTextEditorToolbarItem.UnLink,
GC.InputMan.GcRichTextEditorToolbarItem.Media,
GC.InputMan.GcRichTextEditorToolbarItem.Indent,
GC.InputMan.GcRichTextEditorToolbarItem.Outdent,
GC.InputMan.GcRichTextEditorToolbarItem.LeftToRight,
GC.InputMan.GcRichTextEditorToolbarItem.RightToLeft,
GC.InputMan.GcRichTextEditorToolbarItem.Template,
GC.InputMan.GcRichTextEditorToolbarItem.TableAll,
];
public fontFamilyList = ['Serif', 'Sans-serif', 'Monospace', 'Cursive', 'Arial', 'Times New Roman'];
public toolbarMode = GC.InputMan.GcRichTextEditorToolbarMode.Wrap;
ngOnInit(): void {
GCCommon.InputMan.appearanceStyle = GCCommon.InputMan.AppearanceStyle.Modern;
}
}
enableProdMode();
bootstrapApplication(AppComponent).catch(err => console.error(err));
<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<title>リッチテキストエディタコントロール - ツールバー - 概要と基本的な使い方</title>
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<!-- Polyfills -->
<script src="node_modules/core-js/client/shim.min.js"></script>
<script src="node_modules/zone.js/fesm2015/zone.min.js"></script>
<!-- SystemJS -->
<script src="node_modules/systemjs/dist/system.js"></script>
<script src="systemjs.config.js"></script>
<script>
// workaround to load 'rxjs/operators' from the rxjs bundle
window.onload = function() {
System.import('rxjs').then(function (m) {
System.import('@angular/compiler');
System.set(SystemJS.resolveSync('rxjs/operators'), System.newModule(m.operators));
System.import('./src/app.component');
});
}
</script>
</head>
<body>
<app-component></app-component>
</body>
</html>
<gc-rich-text-editor
[watermarkText]="watermarkText"
[plugins]="plugins"
[toolbar]="toolbar"
[fontFamilyList]="fontFamilyList"
[toolbarMode]="toolbarMode">
</gc-rich-text-editor>
body {
height: 751px!important;
box-sizing: content-box !important;
}
(function (global) {
System.config({
transpiler: 'ts',
typescriptOptions: {
tsconfig: true
},
meta: {
'typescript': {
"exports": "ts"
},
'*.css': { loader: 'css' }
},
paths: {
// paths serve as alias
'npm:': 'node_modules/'
},
// map tells the System loader where to look for things
map: {
'core-js': 'npm:core-js/client/shim.min.js',
'zone': 'npm:zone.js/fesm2015/zone.min.js',
//'reflect-metadata': 'npm:reflect-metadata/Reflect.js',
'rxjs': 'npm:rxjs/dist/bundles/rxjs.umd.min.js',
//'rxjs': 'npm:rxjs',
//'rxjs/operators': 'npm:rxjs/operators',
'@angular/core': 'npm:@angular/core/fesm2022',
'@angular/common': 'npm:@angular/common/fesm2022/common.mjs',
'@angular/compiler': 'npm:@angular/compiler/fesm2022/compiler.mjs',
'@angular/platform-browser': 'npm:@angular/platform-browser/fesm2022/platform-browser.mjs',
'@angular/platform-browser-dynamic': 'npm:@angular/platform-browser-dynamic/fesm2022/platform-browser-dynamic.mjs',
'@angular/common/http': 'npm:@angular/common/fesm2022/http.mjs',
'@angular/router': 'npm:@angular/router/fesm2022/router.mjs',
'@angular/forms': 'npm:@angular/forms/fesm2022/forms.mjs',
'@mescius/inputman': 'npm:@mescius/inputman/index.js',
'@mescius/inputman.angular': 'npm:@mescius/inputman.angular/fesm2015/mescius-inputman.angular.mjs',
'@mescius/inputman.richtexteditor': 'npm:@mescius/inputman.richtexteditor/index.js',
'@mescius/inputman.richtexteditor.angular': 'npm:@mescius/inputman.richtexteditor.angular/fesm2015/mescius-inputman.richtexteditor.angular.mjs',
'@mescius/inputman.comment': 'npm:@mescius/inputman.comment/index.js',
'@mescius/inputman.comment.angular': 'npm:@mescius/inputman.comment.angular/fesm2015/mescius-inputman.comment.angular.mjs',
'@mescius/inputman/CSS': 'npm:@mescius/inputman/CSS',
"@mescius/inputman.richtexteditor/CSS": "npm:@mescius/inputman.richtexteditor/CSS",
'@mescius/inputman.richtexteditor/JS/plugins/advlist': 'npm:@mescius/inputman.richtexteditor/JS/plugins/advlist/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/all': 'npm:@mescius/inputman.richtexteditor/JS/plugins/all/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/autosave': 'npm:@mescius/inputman.richtexteditor/JS/plugins/autosave/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/charmap': 'npm:@mescius/inputman.richtexteditor/JS/plugins/charmap/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/directionality': 'npm:@mescius/inputman.richtexteditor/JS/plugins/directionality/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/emoticons': 'npm:@mescius/inputman.richtexteditor/JS/plugins/emoticons/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/fullscreen': 'npm:@mescius/inputman.richtexteditor/JS/plugins/fullscreen/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/htmlcode': 'npm:@mescius/inputman.richtexteditor/JS/plugins/htmlcode/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/image': 'npm:@mescius/inputman.richtexteditor/JS/plugins/image/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/link': 'npm:@mescius/inputman.richtexteditor/JS/plugins/link/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/lists': 'npm:@mescius/inputman.richtexteditor/JS/plugins/lists/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/media': 'npm:@mescius/inputman.richtexteditor/JS/plugins/media/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/pagebreak': 'npm:@mescius/inputman.richtexteditor/JS/plugins/pagebreak/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/preview': 'npm:@mescius/inputman.richtexteditor/JS/plugins/preview/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/save': 'npm:@mescius/inputman.richtexteditor/JS/plugins/save/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/searchreplace': 'npm:@mescius/inputman.richtexteditor/JS/plugins/searchreplace/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/table': 'npm:@mescius/inputman.richtexteditor/JS/plugins/table/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/template': 'npm:@mescius/inputman.richtexteditor/JS/plugins/template/plugin.js',
'@mescius/inputman.richtexteditor/JS/plugins/wordcount': 'npm:@mescius/inputman.richtexteditor/JS/plugins/wordcount/plugin.js',
'@mescius/inputman.comment/CSS': 'npm:@mescius/inputman.comment/CSS',
'@mescius/spread-sheets': 'npm:@mescius/spread-sheets/index.js',
'@mescius/spread-sheets-resources-ja': 'npm:@mescius/spread-sheets-resources-ja/index.js',
'@mescius/spread-sheets/styles': 'npm:@mescius/spread-sheets/styles',
'@mescius/wijmo': 'npm:@mescius/wijmo/index.js',
'@mescius/wijmo.styles': 'npm:@mescius/wijmo.styles',
'@mescius/wijmo.cultures': 'npm:@mescius/wijmo.cultures',
'@mescius/wijmo.nav': 'npm:@mescius/wijmo.nav/index.js',
'@mescius/wijmo.grid': 'npm:@mescius/wijmo.grid/index.js',
'@mescius/wijmo.input': 'npm:@mescius/wijmo.input/index.js',
'bootstrap.css': 'npm:bootstrap/dist/css/bootstrap.min.css',
'jszip': 'npm:jszip/dist/jszip.min.js',
'typescript': 'npm:typescript/lib/typescript.js',
'ts': './plugin.js',
'tslib': 'npm:tslib/tslib.js',
'css': 'npm:systemjs-plugin-css/css.js'
},
// packages tells the System loader how to load when no filename and/or no extension
packages: {
src: {
defaultExtension: 'ts',
meta: {
"*.component.ts": {
loader: "system.component-loader.js"
}
}
},
rxjs: {
defaultExtension: 'js'
},
"node_modules": {
defaultExtension: 'js'
},
"@mescius/inputman": {
defaultExtension: 'js'
},
"@mescius/inputman.richtexteditor": {
defaultExtension: 'js'
},
"@mescius/inputman.comment": {
defaultExtension: 'js'
},
"node_modules/@angular": {
defaultExtension: 'mjs'
},
"@mescius/inputman.angular": {
defaultExtension: 'mjs'
},
"@mescius/inputman.comment.angular": {
defaultExtension: 'mjs'
},
'@angular/core': {
defaultExtension: 'mjs',
main: 'core.mjs'
},
"@mescius/inputman.richtexteditor.angular": {
defaultExtension: 'mjs'
},
}
});
})(this);